# -*- coding: utf-8 -*-
from setuphelpers import *
import json
import platform

bin_name = "TeamViewer_Setup.exe"


def update_package():
    proxy = {}
    if platform.system() == "Windows" and isfile(makepath(user_local_appdata(), "waptconsole", "waptconsole.ini")):
        proxywapt = inifile_readstring(makepath(user_local_appdata(), "waptconsole", "waptconsole.ini"), "global", "http_proxy")
        if proxywapt:
            proxy = {"http": proxywapt, "https": proxywapt}

    # download binary
    if not isfile(bin_name):
        dl_url = "https://download.teamviewer.com/download/version_11x/TeamViewer_Setup.exe"
        wget(dl_url, bin_name, proxies=proxy)
    else:
        print("binary already downloaded")

    # Incrementing version of the package
    version = get_file_properties(bin_name)["ProductVersion"]
    control.version = "%s-%s" % (version, int(control.version.split("-")[-1]) + 1)
    control.save_control_to_wapt()
    print("Changing package version to: %s in WAPT\\control" % control.version)
